For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • GET/custom-object-classes/{custom_object_class_id}/custom-objects
          • POST/custom-object-classes/{custom_object_class_id}/custom-objects
          • GET/custom-object-classes/{custom_object_class_id}/custom-objects/{id}
          • GET/custom-object-classes/{custom_object_class_id}/custom-objects/meta/post
          • GET/custom-object-classes/custom-objects/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Custom ObjectsCustom objects

/custom-object-classes/{custom_object_class_id}/custom-objects/{id}

Beta
GET
/crm/v1/custom-object-classes/:custom_object_class_id/custom-objects/:id
GET
/api/crm/v1/custom-object-classes/:custom_object_class_id/custom-objects/:id
$curl https://api.merge.dev/api/crm/v1/custom-object-classes/custom_object_class_id/custom-objects/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "da0b1963-be70-469c-9f8c-06a81d0fe759",
3 "remote_id": "4183634295",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "object_class": "ff1ff4cb-a66b-47dc-8e2a-50388049e602",
7 "fields": {
8 "order_id": "4183634295",
9 "order_quantity": 50,
10 "customer_type": "Returning"
11 },
12 "remote_fields": [
13 {
14 "remote_field_class": {
15 "id": "string",
16 "display_name": "string",
17 "remote_key_name": "string",
18 "description": "string",
19 "is_custom": true,
20 "is_common_model_field": true,
21 "is_required": true,
22 "field_type": "string",
23 "field_format": "string",
24 "field_choices": [
25 "string"
26 ],
27 "item_schema": {
28 "item_type": "string",
29 "item_format": "string",
30 "item_choices": [
31 "string"
32 ]
33 }
34 },
35 "value": "string"
36 }
37 ]
38}

Returns a CustomObject object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/custom-object-classes/{custom_object_class_id}/custom-objects

Next

/custom-object-classes/{custom_object_class_id}/custom-objects/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

custom_object_class_idstringRequiredformat: "uuid"
idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
object_classstring or nullformat: "uuid"
The custom object class the custom object record belongs to.
fieldsmap from strings to anyRead-only
The fields and values contained within the custom object record.
remote_fieldslist of objectsRead-only